Bug 426245 - Problems with third party software due invalid font names
Summary: Problems with third party software due invalid font names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: urw-fonts   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-19 15:19 UTC by Robert Scheck
Modified: 2008-01-27 07:24 UTC (History)
2 users (show)

Fixed In Version: 2.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 07:13:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
urw-fonts-2.4-ess.patch (1.30 KB, patch)
2007-12-19 15:20 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2007-12-19 15:19:30 UTC
Description of problem:
There are some problems with third party software due invalid font names. I 
attached a patch which solves the problem for me and which should hurt nobody. 
Can you please build this fix for F8 and Rawhide? Thank you.

Version-Release number of selected component (if applicable):
urw-fonts-2.4-2

How reproducible:
Currently everytime when using the third party software.

Actual results:
Problems with third party software due invalid font names

Expected results:
Working third party software and no invalid font names any longer... ;-)

Comment 1 Robert Scheck 2007-12-19 15:20:41 UTC
Created attachment 290030 [details]
urw-fonts-2.4-ess.patch

Comment 2 Robert Scheck 2007-12-19 15:22:22 UTC
Oh please note, that this problem also will affect Red Hat Enterprise Linux 6,
if this patch is not applied before the branching.

Comment 3 Ngo Than 2007-12-19 15:50:31 UTC
Robert, could you please give more details how i can reproduce it?
which software should i install? Thanks

Comment 4 Robert Scheck 2007-12-19 16:01:38 UTC
Ngo, it's the Pentaprise Enterprise Resource Planning (ERP2) system. But you 
really don't want to try to reproduce that. The installation is only in German,
you've to be knowledged with that ERP system as well and the problem appears
there when trying to print something. The support from Pentaprise pointed us to
this cause when debugging it.

I'm very sorry, that I can't provide you more information. If you really need
to reproduce this problem, I could try to setup a demo system within a virtual 
machine this evening maybe.

Comment 5 Ngo Than 2007-12-20 15:35:41 UTC
Robert, i will send your patch to upstreamer and ask if he could review the 
fix.

Comment 6 Ngo Than 2008-01-08 20:09:55 UTC
the fix is included in upstream urw-fonts-1.0.7pre44.tar.bz2. I already built 
it in rawhide. Thanks for the patch

Comment 7 Robert Scheck 2008-01-08 20:16:17 UTC
Credit goes to my colleague and the helpful guys of Pentaprise GmbH. Just one 
question: Can you build the next urw-fonts for Fedora 8 (and maybe Fedora 7) as 
well?

Comment 8 Ngo Than 2008-01-09 15:40:35 UTC
it will also be available for Fedora 7/8 in next day! 

Comment 9 Fedora Update System 2008-01-27 07:13:32 UTC
urw-fonts-2.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-01-27 07:24:34 UTC
urw-fonts-2.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.